import { fileURLToPath, URL } from 'node:url'
import { defineConfig } from 'vite'

import fs from 'fs';
import path from 'path';

import vue from '@vitejs/plugin-vue'
import vueDevTools from 'vite-plugin-vue-devtools'

// https://vite.dev/config/
export default defineConfig({
  plugins: [
    vue(),
    vueDevTools(),
  ],
  resolve: {
    alias: {
      '@': fileURLToPath(new URL('./src', import.meta.url))
    },
  },
  server: {
    https: {
      // key: fs.readFileSync(path.resolve(__dirname, 'localhost-key.pem')),
      // cert: fs.readFileSync(path.resolve(__dirname, 'localhost.pem')),
      key: fs.readFileSync(path.resolve("/home/phil", 'tiptop+4-key.pem')),
      cert: fs.readFileSync(path.resolve("/home/phil", 'tiptop+4.pem')),
    },
  }
})
